gnutls_record_recv_seq(3)

NAME
gnutls_record_recv_seq - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_recv_seq(gnutls_session_t session, void * data, size_t data_size, unsigned char * seq);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

void * data
    the buffer that the data will be read into

size_t data_size
    the number of requested bytes

unsigned char * seq
    is the packet's 64-bit sequence number. Should have space for 8 bytes.

DESCRIPTION
This function is the same as gnutls_record_recv(), except that it returns in addition to data, the sequence number of the data. This is useful in DTLS where record packets might be received out-of-order. The returned 8-byte sequence number is an integer in big-endian format and should be treated as a unique message identification.

RETURNS
The number of bytes received and zero on EOF. A negative error code is returned in case of an error. The number of bytes received might be less than data_size .

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/